Subject: Re: [EGIT PATCH] Showing commit info like the CVS plugin instead of tooltips.

From: "Roger C. Soares" <[email-masked]>
Date: Wed, 09 Jan 2008 22:17:37 -0200

Robin Rosenberg escreveu:
>> Showing the tooltips when you press F2 makes more sense to me. What I'm 
>>     
> Actually not what I meant. Javadoc tooltips popup as a tooltip. When it is 
> active you can press F2 to see more information,
> copy text etc.
>   
Humnmn, I see...

>> For the search bar, I would like to make it visible by pressing ctrl-f 
>> when the history panel has the focus. 
>>     
> You're free to experiment. I'm quite fond of the search field in kmail. It is 
> a textfield that filters mail on
> header fields as I type.
>   
Yep, I'm willing to do something in this direction. The behavior I'm 
thinking right now won't be to hide the lines that don't match but to do 
more like gitk. Highlight rows and have next/previous buttons, and if 
possible show where I am (like 3/10 or 3 of 10).

> I found a bug. When you travel down the histtory using arrow keys all of the 
> sudden the commit info disappears.
>   
Cool, thanks, I'll investigate it.

[]s,
Roger.